%define ver_major 2.16

Name: file-roller
Version: %ver_major.3
Release: alt1

Summary: An archive manager for GNOME
Summary (ru_RU.UTF-8): Архиватор для GNOME 2
License: GPL
Group: File tools

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.in
%define glib_ver 2.12.0
%define gtk_ver 2.10.0
%define libgnome_ver 2.6.0
%define libgnomeui_ver 2.6.0
%define gnome_vfs_ver 2.10.0
%define libglade_ver 2.4.0
%define nautilus_ver 2.10.0

%define desktop_file_utils_ver 0.8
%define scrollkeeper_ver 0.3.14

Requires: tar gzip bzip2 ncompress lzop binutils arj lha unrar zip unzip p7zip
# Requires: cdrecord # for .iso support

PreReq: GConf2
PreReq: scrollkeeper >= %scrollkeeper_ver
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver

# From configure.in
BuildPreReq: gnome-doc-utils
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: intltool >= 0.35.0
BuildPreReq: GConf2

BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver

BuildRequires: perl-XML-Parser scrollkeeper

%description
File Roller is an archive manager for the GNOME environment.  This means that
you can : create and modify archives; view the content of an archive; view a
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz, .tgz)
          * bzip (.tar.bz, .tbz)
          * bzip2 (.tar.bz2, .tbz2)
          * compress (.tar.Z, .taz)
          * lzop (.tar.lzo, .tzo)
    * Ar archives (.ar)
    * Arj archives (.arj)
    * Jar archives (.jar, .ear, .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Zip archives (.zip)
    * 7-Zip archives (.7z)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop

%description -l ru_RU.UTF-8
File Roller - архиватор для рабочего стола GNOME. С его помощью можно:
создавать архивы и изменять их содержимое, читать оглавление архивов,
просматривать и распаковывать заключенные в архив файлы.
File Roller является графической оболочкой к различным средствам сжатия
данных. В число поддерживаемых программой типов архивов входят:
    * Архивы Tar как несжатые (.tar), так и сжатые посредством
          * gzip (.tar.gz, .tgz)
          * bzip (.tar.bz, .tbz)
          * bzip2 (.tar.bz2, .tbz2)
          * compress (.tar.Z, .taz)
          * lzop (.tar.lzo, .tzo)
    * Ar архивы (.ar)
    * Arj архивы (.arj)
    * Jar архивы (.jar, .ear, .war)
    * Lha архивы (.lzh)
    * Rar архивы (.rar)
    * Zip архивы (.zip)
    * 7-Zip архивы (.7z)
    * Отдельные файлы сжатые при помощи gzip, bzip, bzip2, compress, lzop.

%prep
%setup -q

%build
%__autoreconf
%configure \
    --enable-nautilus-actions \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --disable-static

%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS NEWS README
%_bindir/*
%_libdir/nautilus/extensions-1.0/*.so
%_datadir/applications/*
%_datadir/%name
%_liconsdir/%name.png
%config %_sysconfdir/gconf/schemas/*

%exclude %_libdir/nautilus/extensions-1.0/*.la
%exclude %_iconsdir/hicolor/*.cache

%changelog
* Tue Feb 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version (2.16.3)
- dropped zoo support, as zoo is no more in Sisyphus

* Sat Oct 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- updated dependencies

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.3-alt1
- new version (2.14.3)

* Sun Apr 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version (2.14.1)
- spec cleanup

* Tue Feb 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.92-alt1
- new version (2.13.92)
- updated dependencies, cleaned up the spec.
- removed Debian menu support

* Fri Sep 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Sat Apr 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.3-alt1
- 2.10.3

* Wed Apr 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Thu Mar 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Wed Dec 08 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.9.0-alt3
- requires GConf2, scrollkeeper, desktop-file-utils
- run %%{update,clean}_desktopdb in %%post{un,}
  desktop-file-utils >= 0.8 required for build.

* Sun Dec 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.9.0-alt2
- removed broken *desktopdb macros

* Wed Nov 24 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.9.0-alt1
- 2.9.0
- requires all backends

* Sat Nov 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.3-alt1
- Updated to 2.8.3
- Spec cleanup

* Thu Jun 24 2004 Vyacheslav Dikonov <slava@altlinux.ru> 2.6.2-alt1
- new version

* Sat May 15 2004 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.6.1-alt2
- new version

* Fri Oct 17 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.4.0.1-alt1
- new version

* Sat Nov 02 2002 Vyacheslav Dikonov <slava@altlinux.ru> 2.0.3-alt2
- translation update, missing docs fixed

* Mon Oct 14 2002 AEN <aen@altlinux.ru> 2.0.3-alt1
- new version

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 2.0.2-alt1
- first build for Sisyphus
